### Method

# Gsk GLShaderget_resource

#### Declaration [src]

    const char*
    gsk_gl_shader_get_resource (
      GskGLShader* shader
    )

#### Description [src]

Gets the resource path for the GLSL sourcecode being used to render this shader.

Gets property | `Gsk.GLShader:resource`

#### Return value

Type: `const char*`

The resource path for the shader.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.